Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1340031 - /usr/sbin/configure-proxy.sh: yes_no: command not found
Summary: /usr/sbin/configure-proxy.sh: yes_no: command not found
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite Proxy 5
Classification: Red Hat
Component: Installer
Version: 570
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Dobes
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks: 1340444
TreeView+ depends on / blocked
 
Reported: 2016-05-26 10:40 UTC by Pavel Studeník
Modified: 2017-06-21 12:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-21 12:07:22 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Pavel Studeník 2016-05-26 10:40:17 UTC
Description of problem:
I run installer of proxy and I see error message in output "/usr/sbin/configure-proxy.sh: line 161: yes_no: command not found".

Version-Release number of selected component (if applicable):
spacewalk-proxy-installer-2.3.0-6.el6sat.noarch

How reproducible:
always

Steps to Reproduce:
1. Run installer /usr/sbin/configure-proxy.sh --answer-file=proxy-answer.txt --non-interactive

Actual results:
>> /usr/sbin/configure-proxy.sh --answer-file=proxy-answer.txt --non-interactive
/usr/sbin/configure-proxy.sh: line 161: yes_no: command not found
Using RHN parent (from /etc/sysconfig/rhn/up2date): ...
Using CA Chain (from /etc/sysconfig/rhn/up2date): /usr/share/rhn/RHNS-CA-CERT
HTTP Proxy []: 
...

Expected results:
without error message "command not found"

Additional info:
function yes_no is used before initialization 

...
if [[ $INTERACTIVE == 0 \
    && ( -z $POPULATE_CONFIG_CHANNEL || $( yes_no $POPULATE_CONFIG_CHANNEL ) == 1 ) \ 
...

Comment 1 Pavel Studeník 2016-09-22 12:59:51 UTC
Pull request with patch for spacewalk https://github.com/spacewalkproject/spacewalk/pull/461

Comment 2 Jan Dobes 2016-09-23 09:53:09 UTC
pull request merged into spacewalk master:

8e3961dd7e931b7d0c134ea50155f05fed6037cd

Comment 5 Lukáš Hellebrandt 2017-02-23 12:35:11 UTC
Verified both on beta and on 20170221 compose.

The proxy now installs successfully and without any warnings.


Note You need to log in before you can comment on or make changes to this bug.